curl -X GET "https://api.rxradar.xyz/v1/products/29/reviews" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"product_id": 29,
"rating": 4.6,
"data": [
{
"id": 412,
"rating": 5,
"title": "Very effective for tired legs",
"content": "I use this gel after long days on my feet — instant cool relief.",
"published_at": "2026-04-22"
}
],
"total": 28,
"page": 1,
"per_page": 50,
"pages": 1
}
Products
List Product Reviews
Customer reviews for a product
GET
/
v1
/
products
/
{product_id}
/
reviews
curl -X GET "https://api.rxradar.xyz/v1/products/29/reviews" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"product_id": 29,
"rating": 4.6,
"data": [
{
"id": 412,
"rating": 5,
"title": "Very effective for tired legs",
"content": "I use this gel after long days on my feet — instant cool relief.",
"published_at": "2026-04-22"
}
],
"total": 28,
"page": 1,
"per_page": 50,
"pages": 1
}
Product ID
Page number
Results per page (max: 100)
curl -X GET "https://api.rxradar.xyz/v1/products/29/reviews" \
-H "Authorization: Bearer rx_YOUR_API_KEY"
{
"product_id": 29,
"rating": 4.6,
"data": [
{
"id": 412,
"rating": 5,
"title": "Very effective for tired legs",
"content": "I use this gel after long days on my feet — instant cool relief.",
"published_at": "2026-04-22"
}
],
"total": 28,
"page": 1,
"per_page": 50,
"pages": 1
}
⌘I